Bug 477728 - changelog does not populate when making an SRPM
changelog does not populate when making an SRPM
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity high
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 476471
  Show dependency treegraph
 
Reported: 2008-12-22 23:19 EST by eric@christensenplace.us
Modified: 2010-11-23 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 22:42:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-12-22 23:19:17 EST
Description of problem: I have data inside the Revision_History.xml file but it is not being incorporated into the SPEC or RPM files when I'm building them.  This is makes rpmlint fail.


Version-Release number of selected component (if applicable): publican-0.39-0.fc10


How reproducible: Always.


Steps to Reproduce:
1. Create SRPM
2. Use rpmbuild --rebuild to create RPM
3. run rpmlint
  
Actual results: fedora-Linux_Security_Guide-10-en-US.noarch: E: no-changelogname-tag


Expected results: change log is included.


Additional info: 'xsltproc /usr/share/publican/xsl/changelog.xsl en-US/Revision_History.xml' produces an entry properly
Comment 1 Jeff Fearn 2009-01-04 22:42:59 EST
Fixed pulling in of change log.
Comment 2 Fedora Update System 2009-01-16 02:40:33 EST
publican-fedora-0.17-0.fc10,publican-0.40-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc10,publican-0.40-0.fc10
Comment 3 Fedora Update System 2009-01-16 02:43:09 EST
publican-fedora-0.17-0.fc9,publican-0.40-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc9,publican-0.40-0.fc9
Comment 4 Fedora Update System 2009-01-21 16:32:47 EST
publican-fedora-0.17-0.fc10, publican-0.40-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.